// 2013 DeathByNukes
Shader "UnlitTintedInvert" {
    Properties {
        _Color ("Main Color", Color) = (1,1,1,1)
        _MainTex ("Base (RGB)", 2D) = "black" { }
        _Threshold ("Threshold Adjust", Color) = (0.7,0.7,0.7,0.7)
    }

    SubShader {
        Pass {
            SetTexture [_MainTex] {
                constantColor [_Threshold]
                Combine one - texture - constant quad
            }
            SetTexture [_MainTex] {
                constantColor [_Color]
                Combine previous + constant
            }
        }
    }
    SubShader {
        Pass {
            SetTexture [_MainTex] {
                constantColor [_Color]
                Combine texture + constant
            }
        }
    }
} 