// 2013 DeathByNukes
Shader "VertexColorUnlitTintedAddSmoothPP" {
	Properties {
		_Colour ("Tint & Alpha", Color) = (1,1,1,0.25)
	}

	SubShader {
		BindChannels {
			Bind "Vertex", vertex
			Bind "Color", color
		} 
		Pass {
			ZWrite Off Fog { Mode Off }
			ColorMask RGBA
			Blend One OneMinusSrcColor, One Zero
			SetTexture [_MainTex] {
				constantColor [_Colour]
				Combine primary * constant, constant
			}
		}
	}
} 