// 2013 DeathByNukes
Shader "VertexColorUnlitTintedPP" {
	Properties {
		_Color ("Tint & Alpha", Color) = (1,1,1,0.25)
	}

	SubShader {
		BindChannels {
			Bind "Vertex", vertex
			Bind "Color", color
		} 
		Pass {
			Fog { Mode Off }
			ColorMask RGBA
			SetTexture [_MainTex] {
				constantColor [_Color]
				Combine primary * constant, constant
			}
		}
	}
} 